

/* Appliquer un background-image répété */
body {
    background-image: url('https://i.ibb.co/0BGfmvZ/Background-img.png');
    background-repeat: repeat;
    font-family: "Roboto Mono", monospace;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%; /* Assure que la hauteur de la page prenne 100% de la fenêtre */
    }

img {
    width: 100%;
    border-radius: 32px;
}

/* Conteneur avec largeur fixe sur les écrans larges */
.container {
    background-color: white;
    border-radius: 24px;
    padding: 32px 32px 0 32px;
    margin: 40px 0 80px 0;
    width: 640px; /* Largeur fixe pour les écrans plus larges */
    box-shadow: 0px;
    position: relative;
}


.contact_link {
    right: 0px;
    position: absolute;
}

.contact_link a {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.contact_link i {
    padding-right: 10px;
}

.contact {
    display: none;
}

/* Première section : logo et texte */
.section {
    display: flex;
    align-items: center;
}

/* Première section : logo et texte */
.section-2 {
    display: flex;
    align-items: center;
    padding-bottom: 48px;
}

.logo {
    width: 72px; /* Ajuste selon la taille du logo */
    margin-right: 24px; /* Séparation entre l'image et le texte */
}

h1 {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 20px;
    margin: 0;
}

/* Styles pour les écrans mobiles */
@media (max-width: 768px) {
    .container {
        width: calc(100% - 40px); /* Largeur de l'écran moins 20px de marge de chaque côté */
        margin: 0 20px; /* 20px de marge sur les côtés */
    }
}


/* Diaporama styles */
.slideshow {
    margin-top: 24px;
    width: 100%;
    aspect-ratio: 16/9;
    position: relative; /* Pour positionner les images les unes sur les autres */
   
}

/* Ajustement des images pour qu'elles prennent la taille du conteneur */
.slides img {
    width: 100%;
    height: auto;
    border-radius: 24px;
    margin: 0;
    object-fit: cover; /* Les images remplissent le cadre sans déformation */
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0; /* Par défaut, on cache toutes les images */
    transition: none; /* Transition douce pour l'opacité */
}

/* Image visible */
.slides img.active {
    opacity: 1; /* On affiche seulement l'image active */
}

.section {
    margin-top: 24px;
    width: calc(100%);
    border-radius: 24px;
    margin: 0;
    position: relative;
    top: 0;
    left: 0;
    margin-bottom: 24px;
}

.image {
    margin-top: 24px;
    aspect-ratio: 16/9;
    width: calc(100%);
    height: auto;
    border-radius: 24px;
    margin: 0;
    object-fit: cover; /* Les images remplissent le cadre sans déformation */
    position: relative;
    top: 0;
    left: 0;
    margin-bottom: 24px;
}

/* Section de la liste */
.list-section {
    margin-top: 24px;
}

/* Liste personnalisée */
.custom-list {
    list-style-type: none; /* Pas de puces */
    padding: 0;
    margin: 0;
}

.custom-list li a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: "Roboto", sans-serif;
    font-style: normal;
    font-size: 28px;
    font-weight: 400;
    text-decoration: none; /* Enlever la sous-ligne des liens */
    color: black; /* Couleur du texte des liens */
    padding: 12px 0;
}

/* Dernier élément : ajouter un séparateur avant */
.custom-list li.last-item {
    border: none;
    border-top: 1px solid black;
  margin-top:16px;
    margin-bottom: 16px;
  padding-top:8px;
}

.titre-page {
    font-family: "Roboto", sans-serif;
    font-size: 32px;
    font-weight: 400;
    text-decoration: none; /* Enlever la sous-ligne des liens */
    color: black; /* Couleur du texte des liens */
    padding: 0;
}

/* Styles pour la nouvelle page */

/* Icône pour revenir à l'accueil */
.back-icon {
    margin-bottom: 0;
}

.back-icon a {
    font-size: 24px;
    color: black;
    text-decoration: none;
    display: flex;
    align-items: center;
}

.back-icon i {
    margin-right: 8px;
}

/* Séparateur noir */
.separator {
    border: none;
    border-top: 1px solid #6666;
    margin: 16px 0;
}

/* Vidéo YouTube intégrée */
.video-container {
    width: 100%;
    position: relative;
    padding-bottom: 56.25%; /* Maintient le ratio 16:9 */
    height: 0;
    border-radius: 24px;
    overflow: hidden;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Titre sous la vidéo */
.video-title {
    font-family: "Roboto", sans-serif;
    font-size: 24px;
    font-weight: 400;
    margin-top: 24px;
    margin-bottom: 48px;
    color: black;
    text-align: left;
}

/* Titre sous la vidéo */
.video-title-2 {
    font-family: "Roboto", sans-serif;
    font-size: 24px;
    font-weight: 400;
    margin-top: 24px;
    margin-bottom: 16px;
    color: black;
    text-align: left;
}